#ifndef CREW_MEMBER_WIDGET_H
#define CREW_MEMBER_WIDGET_H

#include <QtGui>
#include "ui_crewMemberWidget.h"

///Widget, where the member of crew is displayed.
class CrewMemberWidget : public QWidget {
	Q_OBJECT

private:
	Ui::CrewMemberWidget ui_;
signals:
	void addCrewButtonClickedSignal();
	void removeCrewButtonClickedSignal();

private slots:
	void addCrewButtonClickedSlot();
	void removeCrewButtonClickedSlot();
public:
	CrewMemberWidget(QWidget * parent);

	/**< Sets name of the crew member */
	void setName(const std::wstring & name);

	/**< Sets description of the crew member */
	void setDescription(const std::wstring & value);

	/**< Sets icon picture of the crew member */
	void setIcon(const std::string &icon );

	/**< Sets additional data of the crew member */
	void setValues(unsigned long healthy, unsigned long injured, unsigned long total);
};

#endif